Bug 92925 - Incorrect GEN for ASTC in Surface Format Table
Summary: Incorrect GEN for ASTC in Surface Format Table
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium trivial
Assignee: Nanley Chery
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-12 19:38 UTC by Nanley Chery
Modified: 2016-10-24 23:01 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nanley Chery 2015-11-12 19:38:28 UTC
ASTC is listed as supported in GEN 8. The correct GEN is 8.5. No runtime errors should arise from this currently because the ASTC extension boolean is only set as supported in GEN9+. This issue was discovered by Ben Widawsky.
Comment 1 Kenneth Graunke 2015-11-12 20:04:28 UTC
By Gen8.5 do you mean Cherryview/Braswell?

We've not had a good solution for encoding the atom parts in the table.

For example, Ivybridge is Gen 7, Haswell is Gen 7.5, and Baytrail...doesn't have most of the features from Haswell (so it'd be Gen 7.1/2/3/4?) but also has features from Broadwell (so, Gen 7.6/7/8/9?).  It just didn't fit at all, so we left it as "7" and put in special cases for it.

I guess for Cherryview we could consider it Gen 8.<something>.
Comment 2 Nanley Chery 2015-11-13 01:04:32 UTC
(In reply to Kenneth Graunke from comment #1)
> By Gen8.5 do you mean Cherryview/Braswell?
> 

Yes. Looking at the Bspec, it seems like CherryView actually isn't 8.5. 

> We've not had a good solution for encoding the atom parts in the table.
> 
> For example, Ivybridge is Gen 7, Haswell is Gen 7.5, and Baytrail...doesn't
> have most of the features from Haswell (so it'd be Gen 7.1/2/3/4?) but also
> has features from Broadwell (so, Gen 7.6/7/8/9?).  It just didn't fit at
> all, so we left it as "7" and put in special cases for it.
> 
> I guess for Cherryview we could consider it Gen 8.<something>.

I'm fine with giving it a decimal point if everyone agrees on an atom part naming scheme. Another possible solution is to modify brw_init_surface_formats(). I'm not yet sure what the best solution is.
Comment 3 Nanley Chery 2016-10-24 23:01:14 UTC
This bug has been fixed with the following patch:

commit 59385da39dbe15dd4d1905953464b2fe34b07e16
Author: Nanley Chery <nanley.g.chery@intel.com>
Date:   Fri Oct 21 14:42:51 2016 -0700

    isl/format: Correct ASTC entries of format info table

    With the isl_format_supports* helpers, we can now conveniently
    report support for this format on Cherry View.

    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=92925
    Signed-off-by: Nanley Chery <nanley.g.chery@intel.com>
    Reviewed-by: Jason Ekstrand <jason@jlekstrand.net>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.